//---
// layout
//---

/**
 * Site header
 */
.site-header {
    position: relative;
    min-height: 56px;
    width: 100%;
}

// Hamburger navbar
.navbar {
    position: fixed;
    width: 100vw;
    z-index: 99;
    display: grid;
    grid-template-columns: 80px auto 1fr 200px;
    border-bottom: 1px solid $grey-color-light;
    background: $background-color;
}
.navbar article { align-self: center; }

.navbar-heading { color: white; }

.hamburger {    
    cursor: pointer;
    padding: 5px;
}

.bar1, .bar2, .bar3 { /* from w3schools */
    width: 35px;
    height: 5px;
    border-radius: 3px;
    margin: 6px 0;
    transition: .4s;
    background-color: $grey-color-dark;
}

.change .bar1 { /* from w3schools */
    -webkit-transform: rotate(-45deg) translate(-9px, 6px);
    transform: rotate(-45deg) translate(-9px, 6px);
    background: $grey-alt;
}

.change .bar2 { opacity: 0; } /* from w3schools */

.change .bar3 { /* from w3schools */
    -webkit-transform: rotate(45deg) translate(-8px, -8px);
    transform: rotate(45deg) translate(-8px, -8px);
    background: $grey-alt;
}

.breadcrumb p { margin: 0; }
.breadcrumb a { 
    color: $grey-alt;
    transition: .3s;
}
.breadcrumb a:hover { color: $text-color; }

.links {
    margin-left: auto;
    padding-right: 20px;
}
.links li {
    float: left;
    list-style: none;
    padding-right: 10px;
}

.ntnu-logo img {
    max-width: 150px;
    max-height: 95%;
    margin-right: $spacing-unit;
    float: right;
}

#logo-svart-inv img {
    filter: brightness(0) invert(1); 
}

.hamburger-content {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 0vh;
    transition: .5s;
    background: rgba(20,20,20,.97);
    overflow: hidden;
    z-index: 98;
}

.hamburger-content div {
    padding: 70px 0 0 70px;
    display: grid;
    grid-template-columns: repeat(auto-fit, 300px);
    grid-template-rows: repeat(auto-fit, auto);
}

.hamburger-content article { 
    padding: 10px 10px 30px 10px;
    height: auto;
}

.hamburger-content ul { padding-left: 10px; }
.hamburger-content li { list-style: none; }
.hamburger-content a { font-size: 22px; }

/* media querys for responsivnes*/
/* smaller screens and tablets */

/* small phones */
/* Pixel 2 API 30 android studio device testing */
@media only screen and (max-width: 450px) {
    .navbar { grid-template-columns: 80px 1fr; }
    .navbar .ntnu-logo { display: inherit; }
    .navbar .breadcrumb { display: none; }
    .navbar .links { display: none; }
}

/* phones */
@media only screen and (min-width: 450px) {
    .navbar { grid-template-columns: 80px 1fr; }
    .navbar .ntnu-logo { display: inherit; }
    .navbar .breadcrumb { display: none; }
    .navbar .links { display: none; }
}


@media only screen and (min-width: 650px) {
    .navbar { grid-template-columns: 80px auto 1fr; }
    .navbar .ntnu-logo { display: none; }
    .navbar .breadcrumb { display: inherit; }
    .navbar .links { display: inherit; }
}

@media only screen and (min-width: 1000px) {
    .navbar { grid-template-columns: 80px auto 1fr 150px; }
    .navbar .ntnu-logo { display: inherit; }
    .navbar .breadcrumb { display: inherit; }
    .navbar .links { display: inherit; }
}


/**
 * Site footer
 */
.site-footer {
    border-top: 1px solid $grey-color-light;
    padding: $spacing-unit 0;
    background-color: $black;
    color: $background-color;
}

.footer-heading {
    font-size: 18px;
    margin-bottom: $spacing-unit / 2;
}

.contact-list,
.social-media-list {
    list-style: none;
    margin-left: 0;
}

.footer-logo {
    filter: brightness(0) invert(1);
    width: 300px;
    height: auto;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 10px;
}

.footer-col-wrapper {
    font-size: 15px;
    color: $grey-color;
    margin-left: -$spacing-unit / 2;
    @extend %clearfix;
}

.footer-col {
    float: left;
    margin-bottom: $spacing-unit / 2;
    padding-left: $spacing-unit / 2;
}

.footer-col-1 {
    width: -webkit-calc(35% - (#{$spacing-unit} / 2));
    width:         calc(35% - (#{$spacing-unit} / 2));
}

.footer-col-2 {
    width: -webkit-calc(20% - (#{$spacing-unit} / 2));
    width:         calc(20% - (#{$spacing-unit} / 2));
}

.footer-col-3 {
    width: -webkit-calc(45% - (#{$spacing-unit} / 2));
    width:         calc(45% - (#{$spacing-unit} / 2));
}

@include media-query($on-laptop) {
    .footer-col-1,
    .footer-col-2 {
        width: -webkit-calc(50% - (#{$spacing-unit} / 2));
        width:         calc(50% - (#{$spacing-unit} / 2));
    }

    .footer-col-3 {
        width: -webkit-calc(100% - (#{$spacing-unit} / 2));
        width:         calc(100% - (#{$spacing-unit} / 2));
    }
}

@include media-query($on-palm) {
    .footer-col {
        float: none;
        width: -webkit-calc(100% - (#{$spacing-unit} / 2));
        width:         calc(100% - (#{$spacing-unit} / 2));
        text-align: center;
    }
}



/**
 * Page content
 */
.page-content {
    padding: $spacing-unit 0;
    margin-left: auto;
    margin-right: auto;
}
@media screen and (max-width: 1000px) { .page-content { width: 95vw; } }
@media screen and (min-width: 1000px) { .page-content { width: 1000px;} }

.page-heading {
    font-size: 26px;
    border: none;
    line-height: 1;
}

@media only screen and (max-width: 550px) { .post-list { columns: 1; } }
@media only screen and (min-width: 550px) { .post-list { columns: 2; } }
@media only screen and (min-width: 750px) { .post-list { columns: 3; } }

.post-list li { list-style-type: disc; }
.post-list ul li { list-style-type: circle; }

.cat-header { 
    color: $grey-alt;
    cursor: initial;
}
 .cat-header a:hover { color: $grey-alt; }

.post-meta {
    font-size: $small-font-size;
    color: $grey-color;
}

.post-link {
    display: block;
    font-size: 24px;
}

/**
 * Posts
 */
.post-header {
    margin-bottom: $spacing-unit;
}

.post-title {
    font-size: 52px;
    font-weight: 100;

    @include media-query($on-laptop) {
        font-size: 44px;
    }
}

.post-content {
    margin-bottom: $spacing-unit;
    
    h1 {
        font-size: 38px;

        @include media-query($on-laptop) {
            font-size: 34px;
        }
    }

    h2 {
        font-size: 32px;

        @include media-query($on-laptop) {
            font-size: 28px;
        }
    }

    h3 {
        font-size: 26px;

        @include media-query($on-laptop) {
            font-size: 22px;
        }
    }

    h4 {
        font-size: 20px;

        @include media-query($on-laptop) {
            font-size: 18px;
        }
    }
}